Extracts a node from top of the heap and sift up

- « SplHeap::current

- SplHeap::insert »

- PHP Manual
- SplHeap
- Extracts a node from top of the heap and sift up

# SplHeap::extract

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplHeap::extract — Extracts a node from top of the heap and sift up

### Description

public SplHeap::extract(): mixed

### Parameters

This function has no parameters.

### Return Values

The value of the extracted node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.